#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	pyparsing
Summary:	pyparsing - Python 3 module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona 3 umożliwiający tworzenie i parsowanie prostych gramatyk
Name:		python3-%{module}
Version:	3.0.7
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyparsing/
Source0:	https://files.pythonhosted.org/packages/source/p/pyparsing/%{module}-%{version}.tar.gz
# Source0-md5:	9d38774991175444e21a3dfa865876cc
URL:		https://github.com/pyparsing/pyparsing/
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-jinja2
BuildRequires:	python3-pytest
BuildRequires:	python3-railroad-diagrams
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%{?with_doc:BuildRequires:	sphinx-pdg-3}
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package doc
Summary:	Documentation for pyparsing module
Summary(pl.UTF-8):	Dokumentacja do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for pyparsing Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona pyparsing.

%package examples
Summary:	Examples for pyparsing module
Summary(pl.UTF-8):	Przykłady do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyparsing Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyparsing.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py3_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py3_sitescriptdir}/pyparsing
%{py3_sitescriptdir}/pyparsing-*.egg-info

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyparsing.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ec8a8ad
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 36ee0f5
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 4989288
- more test dependencies

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> f0b5730
- python-pyparsing.spec updated to 3.0.7 for python 3.6+

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 3f2e1d0
- updated to 2.4.7, switched doc to python2 (python3 package will have separate spec)

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 726efad
- release 4 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 097755e
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 39b7ad3
- release 2 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 07c24db
- updated to 2.4.6

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 6b69d89
- release 4 (by relup.sh)

* Tue Oct 29 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2199724
- rel 3; fix build without doc

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1f06f66
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Oct 21 2019 Jakub Bogusz <qboosh@pld-linux.org> ca21311
- typo

* Mon Oct 21 2019 Jakub Bogusz <qboosh@pld-linux.org> f3ca9dc
- new URLs, updated to 2.4.2

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> f788c3e
- without setuptools bcond added

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 00f6c31
- release 2 (by relup.sh)

* Thu Apr 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 1b756be
- updated to 2.2.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dad9a3
- python 3.6
- release 2 (by relup.sh)

* Mon Dec 26 2016 Jakub Bogusz <qboosh@pld-linux.org> e4aedfa
- updated to 2.1.10

* Fri May 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 5291fbb
- updated to 2.1.4

